function [res,f]=my_load_matr(name)
if name~=0
    
    %fd=fopen(name);
    %col=fscanf(fd,'%d',1);
    %res.col=col;
    %n=fscanf(fd,'%d',1);
    %res.dnei=n;
    %a=[];
    %for j=1:col
    %    b=fscanf(fd,'%e',n);
    %    a=[a;transpose(b)];
    %end
    %a=transpose(a);
    %res.matr=a;
    a=dlmread(name);
    if (size(a,1)<size(a,2))
        a=transpose(a);
    end
    n=size(a,1);
    col=size(a,2);
    res.col=col;
    res.dnei=n;
    namedt=strrep(name,'.txt','.nm');
    fd=fopen(namedt);
    str=[];
    for i=1:col
        b=fgets(fd);
        str(i).name=b;
    end
    for i=1:col
        %b=fscanf(fd,'%i',1);
        str(i).type=11; %NO DATA ABOUT COLORS - NO COLOR FOR 11 10 - RED ...
        str(i).color=[0 0 0];
        
    end
    res.str=str;
    fclose(fd);
    calaz=[];
    fd=fopen('colors.ini');
    if fd~=-1
        n=fscanf(fd,'%e',1);
        for i=1:n
            li=fscanf(fd,'%e',4);
            calaz=[calaz;transpose(li)];
            
        end
        for i=1:col
            for j=1:n
                if calaz(j,1)==res.str(i).type
                    res.str(i).color=[calaz(j,2) calaz(j,3) calaz(j,4)];
                    
                end
            end
        end
        f=0;
    else
        f=-1;
    end
else
    f=-1;
    res=[];
end